Skip to content

# Interface: ConfirmDialogParams

## Hierarchy

- ConfirmDialogParams

## Index

### Properties

- cancelButtonProps
- icon
- labelCancel
- labelOk
- message
- ok
- okButtonProps

## Properties

### `Optional` cancelButtonProps

• cancelButtonProps? : Partial‹ButtonProps›

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:21

### `Optional` icon

• icon? : ReactNode

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:19

### `Optional` labelCancel

• labelCancel? : ReactNode

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:17

### `Optional` labelOk

• labelOk? : ReactNode

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:16

### `Optional` message

• message? : ReactNode

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:18

### `Optional` ok

• ok? : function

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:15

#### Type declaration:

▸ (): void

### `Optional` okButtonProps

• okButtonProps? : Partial‹ButtonProps›

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:20